Author Topic: Upgraded from 0.9.5 to 1.2.3 and now can't connect  (Read 155 times)

Offline Ubunter

  • Newbie
  • *
  • Posts: 1
Upgraded from 0.9.5 to 1.2.3 and now can't connect
« on: December 19, 2016, 01:44:24 AM »
Hi,

I've updated from 0.9.5 to 1.2.3 and have had a really difficult time doing so.  I've been unable to get to the welcome page to load -- let alone check any mail for a couple days now.  I just get 302 redirects on the webmail when I try to load the page.

In the /var/log/roundcube/sql file, I have this error:
Code: [Select]
[18-Dec-2016 22:25:59 -0800]: <6078bi8f> [1] SELECT `vars`, `ip`, `changed`, now() AS ts FROM `session` WHERE `sess_id` = '6078bi8f8frm6d1r6o0f                                                   smkeb2';

That seems to be related to all the code changes I made due to the page here:
https://github.com/ZiBiS/roundcubemail/commit/eb208824334e0de7be5c6532eab48d6fcac5fdf

I've copied all my config settings from both my current working directory, and the backup directory and plugged them both into an Excel document side by side to verify the settings.  Everything looks good.


My Installer page is green all the way through and doesn't indicate that anything is wrong.  I can also send/receive the test SMTP message.


I have no other errors in my other log.  I really have no idea what else to try and could use some help.  Can anyone point me in a direction to troubleshoot? 

Thanks.

Offline rm13

  • Jr. Member
  • **
  • Posts: 26
Re: Upgraded from 0.9.5 to 1.2.3 and now can't connect
« Reply #1 on: December 20, 2016, 07:05:09 PM »
Sounds like you need to start with your web server. What errors is it reporting?

Just curious if that 0.9.5 was an Ubuntu package? And 1.2.3 from the upstream (roundcube.net) instead?

Debian / Ubuntu does some tweaking to the package to better match the DFSG. Trying to go between them would not be a simple upgrade.